# IRremoteESP8266: src/ir_Voltas.h File Reference

ir_Voltas.h File Reference

Support for Voltas A/C protocol. More...

Go to the source code of this file.

## Classes

union | VoltasProtocol
| Native representation of a Voltas A/C message. More...
class | IRVoltas
| Class for handling detailed Voltas A/C messages. More...

## Variables

const uint8_t | kVoltasFan = 0b0001
| 1 More...
const uint8_t | kVoltasHeat = 0b0010
| 2 More...
const uint8_t | kVoltasDry = 0b0100
| 4 More...
const uint8_t | kVoltasCool = 0b1000
| 8 More...
const uint8_t | kVoltasMinTemp = 16
| Celsius. More...
const uint8_t | kVoltasDryTemp = 24
| Celsius. More...
const uint8_t | kVoltasMaxTemp = 30
| Celsius. More...
const uint8_t | kVoltasFanHigh = 0b001
| 1 More...
const uint8_t | kVoltasFanMed = 0b010
| 2 More...
const uint8_t | kVoltasFanLow = 0b100
| 4 More...
const uint8_t | kVoltasFanAuto = 0b111
| 7 More...
const uint8_t | kVoltasSwingHChange = 0b1111100
| 0x7D More...
const uint8_t | kVoltasSwingHNoChange = 0b0011001
| 0x19 More...

## Detailed Description

Support for Voltas A/C protocol.

See also
  https://github.com/crankyoldgit/IRremoteESP8266/issues/1238

## Variable Documentation

## kVoltasCool

const uint8_t kVoltasCool = 0b1000

8

## kVoltasDry

const uint8_t kVoltasDry = 0b0100

4

## kVoltasDryTemp

const uint8_t kVoltasDryTemp = 24

Celsius.

## kVoltasFan

const uint8_t kVoltasFan = 0b0001

1

## kVoltasFanAuto

const uint8_t kVoltasFanAuto = 0b111

7

## kVoltasFanHigh

const uint8_t kVoltasFanHigh = 0b001

1

## kVoltasFanLow

const uint8_t kVoltasFanLow = 0b100

4

## kVoltasFanMed

const uint8_t kVoltasFanMed = 0b010

2

## kVoltasHeat

const uint8_t kVoltasHeat = 0b0010

2

## kVoltasMaxTemp

const uint8_t kVoltasMaxTemp = 30

Celsius.

## kVoltasMinTemp

const uint8_t kVoltasMinTemp = 16

Celsius.

## kVoltasSwingHChange

const uint8_t kVoltasSwingHChange = 0b1111100

0x7D

## kVoltasSwingHNoChange

const uint8_t kVoltasSwingHNoChange = 0b0011001

0x19